Webhook
Nakit Yükleme İşlemi
Header Parameters
Signature*string
Webhook imzası
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
event?string
Default
"cash_deposit_success"user?
waas_user_mapping?
data?
{
"event": "cash_deposit_success",
"user": {
"id": 1,
"uuid": "a08a39ed-78c5-43dc-ae5c-161e50a634fd",
"region": "TR",
"locale": "tr",
"first_name": "Macellan",
"last_name": "Superapp",
"full_name": "Macellan SuperApp",
"email": "[email protected]",
"phone": 905231113344,
"details": {
"subscribe_sms": false,
"subscribe_email": false,
"gender": "male",
"id_number": 11111111111
}
},
"waas_user_mapping": {
"id": "a08a39ed-78c5-43dc-ae5c-161e50a634fd",
"is_active": true,
"created_at": "2019-08-24T14:15:22Z"
},
"data": {
"id": 1,
"gateway": "terminal",
"method": "cash",
"amount": 1,
"reference_code": 952340,
"order_id": 95234,
"created_at": "2019-08-24T14:15:22Z",
"branch": {
"id": 1,
"name": "İstanbul",
"allow_point_usage": true,
"phone": "+905231113344",
"code": 12345,
"description": "İstanbul şubesi"
},
"refund_amount": 0,
"rest_amount": 0,
"completed_at": "2019-08-24T14:15:22Z"
}
}Response Body
Example Requests
POST
/cashDepositSuccess